<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.66.10.19
Name: VZVZ Opvragen Allergie intoleranties
Description: Opvragen Allergie intoleranties 
                 Verdere informatie 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000">
   <title>VZVZ Opvragen Allergie intoleranties</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.19
Context: /
Item: (opvragenAllergieintoleranties)
-->

   <rule context="/" id="tmp-r-81b81667-10b1-49fc-a331-f5ed8f039e5d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="count(hl7:REPC_IN990130NL)&gt;=1 ">(opvragenAllergieintoleranties): element hl7:REPC_IN990130NL is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="count(hl7:REPC_IN990130NL)&lt;=1">(opvragenAllergieintoleranties): element hl7:REPC_IN990130NL komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.19
Context: /hl7:REPC_IN990130NL
Item: (opvragenAllergieintoleranties)
-->

   <rule context="/hl7:REPC_IN990130NL"
         id="tmp-r-6b76e3cf-270c-482f-b944-c1cf8846647a">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="count(hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']])&gt;=1 and not(hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/@nullFlavor)">(opvragenAllergieintoleranties): element hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="count(hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']])&lt;=1">(opvragenAllergieintoleranties): element hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9022
Context: /hl7:REPC_IN990130NL/hl7:attentionLine
Item: (AttentionLineContextCode)
-->

   <rule context="/hl7:REPC_IN990130NL/hl7:attentionLine"
         id="tmp-r-2f928ea7-6f93-4e3f-822a-32c71de95f2c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="count(hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor])&gt;=1 ">(AttentionLineContextCode): element hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="count(hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor])&lt;=1">(AttentionLineContextCode): element hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(AttentionLineContextCode): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(AttentionLineContextCode): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9022
Context: /hl7:REPC_IN990130NL/hl7:attentionLine/hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor]
Item: (AttentionLineContextCode)
-->

   <rule context="/hl7:REPC_IN990130NL/hl7:attentionLine/hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor]"
         id="tmp-r-53aeac1b-d551-4be5-b673-32951432ec67">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AttentionLineContextCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="@nullFlavor or not(@code) or (@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1')">(AttentionLineContextCode): de elementwaarde MOET een zijn van 'code 'CONTEXT' codeSystem '2.16.840.1.113883.2.4.15.1''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="text()='ContextCode'">(AttentionLineContextCode): de element content van hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor] MOET ''ContextCode'' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9022
Context: /hl7:REPC_IN990130NL/hl7:attentionLine/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (AttentionLineContextCode)
-->

   <rule context="/hl7:REPC_IN990130NL/hl7:attentionLine/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-d4622b49-0298-4e73-8dca-77e1c3919778">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AttentionLineContextCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(AttentionLineContextCode): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.66.11.116 AORTA Context Code (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(AttentionLineContextCode): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.66.11.116 AORTA Context Code (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.19
Context: /hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]
Item: (opvragenAllergieintoleranties)
-->

   <rule context="/hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]"
         id="tmp-r-f7c2b9a3-eea9-4b8e-8d85-74984c948314">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="string(@moodCode)=('EVN')">(opvragenAllergieintoleranties): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="count(hl7:overseer)&gt;=1 ">(opvragenAllergieintoleranties): element hl7:overseer is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="count(hl7:overseer)&lt;=1">(opvragenAllergieintoleranties): element hl7:overseer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="count(hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19'])&gt;=1 and not(hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']/@nullFlavor)">(opvragenAllergieintoleranties): element hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="count(hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19'])&lt;=1">(opvragenAllergieintoleranties): element hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:overseer
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:overseer"
         id="tmp-r-e1feca05-719f-478d-b01a-6a0cccdf397a">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="string(@typeCode)=('RESP') or not(@typeCode)">(ControlActOverseerPerson): de waarde van @typeCode MOET 'RESP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(ControlActOverseerPerson): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(ControlActOverseerPerson): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:overseer/hl7:assignedEntity
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:overseer/hl7:assignedEntity"
         id="tmp-r-c88fbd2c-3456-4d96-bd5c-b197330b43cb">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.1']/@nullFlavor)">(ControlActOverseerPerson): element hl7:id[@root='2.16.528.1.1007.3.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&lt;=1">(ControlActOverseerPerson): element hl7:id[@root='2.16.528.1.1007.3.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(ControlActOverseerPerson): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:code)&lt;=1">(ControlActOverseerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedPrincipalChoiceList)&gt;=1 and not(hl7:assignedPrincipalChoiceList/@nullFlavor)">(ControlActOverseerPerson): element hl7:assignedPrincipalChoiceList is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedPrincipalChoiceList)&lt;=1">(ControlActOverseerPerson): element hl7:assignedPrincipalChoiceList komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:Organization)&gt;=1 and not(hl7:Organization/@nullFlavor)">(ControlActOverseerPerson): element hl7:Organization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:Organization)&lt;=1">(ControlActOverseerPerson): element hl7:Organization komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:overseer/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:overseer/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-r-7ed1f7de-0266-4a44-886d-da7818e29f25">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="string(@root)=('2.16.528.1.1007.3.1')">(ControlActOverseerPerson): de waarde van @root MOET '2.16.528.1.1007.3.1' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:overseer/hl7:assignedEntity/hl7:code
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:overseer/hl7:assignedEntity/hl7:code"
         id="tmp-r-562e3841-8bc7-4ea3-8678-790c13bf2751">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="@codeSystem='2.16.840.1.113883.2.4.15.111' and not(@code='00.000')">(ControlActOverseerPerson): Control Act: / moet een UZI-register rolcode bevatten en deze mag niet 00.000 zijn</assert>
      <assert role="error"
              test="@codeSystem='2.16.840.1.113883.2.4.15.111' and not(@code='00.000')">(ControlActOverseerPerson): Control Act: / moet een UZI-register rolcode bevatten en deze mag niet 00.000 zijn</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList"
         id="tmp-r-620e824c-a5e7-4387-aa62-19802f551c1c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(ControlActOverseerPerson): element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(ControlActOverseerPerson): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList/hl7:assignedPerson
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList/hl7:assignedPerson"
         id="tmp-r-a95b4666-701b-4cd3-837b-700ac2c31e0e">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActOverseerPerson): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:name)&lt;=1">(ControlActOverseerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name"
         id="tmp-r-954b8acc-d837-4df5-9ee1-6885d6925cc2">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:overseer/hl7:assignedEntity/hl7:Organization
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:overseer/hl7:assignedEntity/hl7:Organization"
         id="tmp-r-0fd0aded-2156-4cd3-bf8d-d59e8b0c4b9a">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(ControlActOverseerPerson): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:id)&lt;=1">(ControlActOverseerPerson): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:code)&lt;=1">(ControlActOverseerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActOverseerPerson): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:name)&lt;=1">(ControlActOverseerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">(ControlActOverseerPerson): element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:addr)&lt;=1">(ControlActOverseerPerson): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:id
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:id"
         id="tmp-r-1edb3b80-c8d2-4dfc-93ac-309343ba2483">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="@root='2.16.528.1.1007.3.3' and @extension">(ControlActOverseerPerson): Control Act: / moet een URA bevatten</assert>
      <assert role="error" test="@root='2.16.528.1.1007.3.3' and @extension">(ControlActOverseerPerson): Control Act: / moet een URA bevatten</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:code
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:code"
         id="tmp-r-37084e9f-7177-4e9f-9a6d-218a3ad780cf">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">(ControlActOverseerPerson): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.2.4.15.1060''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:name
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:name"
         id="tmp-r-bafa5da9-e21c-449c-b2ec-94a29338f9ff">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ON" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:addr
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:addr"
         id="tmp-r-a543a3e1-dd77-4e1e-85b1-450b889a0173">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="hl7:city">(ControlActOverseerPerson): Control Act: / moet tenminste de vestigingsplaats bevatten</assert>
      <assert role="error" test="hl7:city">(ControlActOverseerPerson): Control Act: / moet tenminste de vestigingsplaats bevatten</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.19
Context: /hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']
Item: (opvragenAllergieintoleranties)
-->

   <rule context="/hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']"
         id="tmp-r-ef037bdd-a3c9-4379-a9b6-2bb38b268ff0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.19'])&gt;=1 ">(opvragenAllergieintoleranties): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.19'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.19'])&lt;=1">(opvragenAllergieintoleranties): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.19'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="count(hl7:queryId)&gt;=1 and not(hl7:queryId/@nullFlavor)">(opvragenAllergieintoleranties): element hl7:queryId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="count(hl7:queryId)&lt;=1">(opvragenAllergieintoleranties): element hl7:queryId komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="count(hl7:statusCode[@code='executing'])&gt;=1 and not(hl7:statusCode[@code='executing']/@nullFlavor)">(opvragenAllergieintoleranties): element hl7:statusCode[@code='executing'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="count(hl7:statusCode[@code='executing'])&lt;=1">(opvragenAllergieintoleranties): element hl7:statusCode[@code='executing'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="count(hl7:responseModalityCode[@code='R'])&gt;=1 and not(hl7:responseModalityCode[@code='R']/@nullFlavor)">(opvragenAllergieintoleranties): element hl7:responseModalityCode[@code='R'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="count(hl7:responseModalityCode[@code='R'])&lt;=1">(opvragenAllergieintoleranties): element hl7:responseModalityCode[@code='R'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="count(hl7:responsePriorityCode[@code='I'])&gt;=1 and not(hl7:responsePriorityCode[@code='I']/@nullFlavor)">(opvragenAllergieintoleranties): element hl7:responsePriorityCode[@code='I'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="count(hl7:responsePriorityCode[@code='I'])&lt;=1">(opvragenAllergieintoleranties): element hl7:responsePriorityCode[@code='I'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="count(hl7:executionAndDeliveryTime)&gt;=1 and not(hl7:executionAndDeliveryTime/@nullFlavor)">(opvragenAllergieintoleranties): element hl7:executionAndDeliveryTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="count(hl7:executionAndDeliveryTime)&lt;=1">(opvragenAllergieintoleranties): element hl7:executionAndDeliveryTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="count(hl7:effectiveTimeInterval)&lt;=1">(opvragenAllergieintoleranties): element hl7:effectiveTimeInterval komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="count(hl7:patientId)&gt;=1 and not(hl7:patientId/@nullFlavor)">(opvragenAllergieintoleranties): element hl7:patientId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="count(hl7:patientId)&lt;=1">(opvragenAllergieintoleranties): element hl7:patientId komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.19
Context: /hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']
Item: (opvragenAllergieintoleranties)
-->

   <rule context="/hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']"
         id="tmp-r-248ca73b-89e1-4261-b93c-9e213b372305">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenAllergieintoleranties): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.66.10.19')">(opvragenAllergieintoleranties): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.66.10.19' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.19
Context: /hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']/hl7:queryId
Item: (opvragenAllergieintoleranties)
-->

   <rule context="/hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']/hl7:queryId"
         id="tmp-r-9295d281-0862-4aba-a817-162100c40804">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenAllergieintoleranties): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.19
Context: /hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']/hl7:statusCode[@code='executing']
Item: (opvragenAllergieintoleranties)
-->

   <rule context="/hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']/hl7:statusCode[@code='executing']"
         id="tmp-r-1c2a457c-524a-418d-a67e-36cc655363c5">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenAllergieintoleranties): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="@nullFlavor or (@code='executing')">(opvragenAllergieintoleranties): de elementwaarde MOET een zijn van 'code 'executing''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.19
Context: /hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']/hl7:responseModalityCode[@code='R']
Item: (opvragenAllergieintoleranties)
-->

   <rule context="/hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']/hl7:responseModalityCode[@code='R']"
         id="tmp-r-77609eaa-e36b-46ec-8c43-197170af8f8d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenAllergieintoleranties): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="@nullFlavor or (@code='R')">(opvragenAllergieintoleranties): de elementwaarde MOET een zijn van 'code 'R''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.19
Context: /hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']/hl7:responsePriorityCode[@code='I']
Item: (opvragenAllergieintoleranties)
-->

   <rule context="/hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']/hl7:responsePriorityCode[@code='I']"
         id="tmp-r-583e80f4-b7b8-45b8-9b5d-bc270d2a32ad">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenAllergieintoleranties): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="@nullFlavor or (@code='I')">(opvragenAllergieintoleranties): de elementwaarde MOET een zijn van 'code 'I''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.19
Context: /hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']/hl7:executionAndDeliveryTime
Item: (opvragenAllergieintoleranties)
-->

   <rule context="/hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']/hl7:executionAndDeliveryTime"
         id="tmp-r-75239b7d-8b68-448f-aaa6-845b03ab675f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.19-2015-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenAllergieintoleranties): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9034
Context: /hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']/hl7:effectiveTimeInterval
Item: (kezo-QRYeffectiveTimeInterval)
-->

   <rule context="/hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']/hl7:effectiveTimeInterval"
         id="tmp-r-619d0fd4-3709-4a1e-9738-6517c3b3cbfb">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9034-2015-06-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(kezo-QRYeffectiveTimeInterval): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9034-2015-06-01T000000.html"
              test="count(hl7:value)&lt;=1">(kezo-QRYeffectiveTimeInterval): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9034
Context: /hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']/hl7:effectiveTimeInterval/hl7:value
Item: (kezo-QRYeffectiveTimeInterval)
-->

   <rule context="/hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']/hl7:effectiveTimeInterval/hl7:value"
         id="tmp-r-65e8bdce-2e08-4f5e-abf5-852f3fc601da">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9034-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-QRYeffectiveTimeInterval): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9034-2015-06-01T000000.html"
              test="not(hl7:low) or string-length(hl7:low/@value)&gt;=12">(kezo-QRYeffectiveTimeInterval): Onder- en bovengrens (low, high) is tot op de minuut te specificeren</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9034-2015-06-01T000000.html"
              test="not(hl7:high) or string-length(hl7:high/@value)&gt;=12">(kezo-QRYeffectiveTimeInterval): Onder- en bovengrens (low, high) is tot op de minuut te specificeren</assert>
      <assert role="error" test="not(hl7:low) or string-length(hl7:low/@value)&gt;=12">(kezo-QRYeffectiveTimeInterval): Onder- en bovengrens (low, high) is tot op de minuut te specificeren</assert>
      <assert role="error" test="not(hl7:high) or string-length(hl7:high/@value)&gt;=12">(kezo-QRYeffectiveTimeInterval): Onder- en bovengrens (low, high) is tot op de minuut te specificeren</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9034-2015-06-01T000000.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(kezo-QRYeffectiveTimeInterval): element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9034-2015-06-01T000000.html"
              test="count(hl7:low)&lt;=1">(kezo-QRYeffectiveTimeInterval): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9034-2015-06-01T000000.html"
              test="count(hl7:high)&lt;=1">(kezo-QRYeffectiveTimeInterval): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9034
Context: /hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']/hl7:effectiveTimeInterval/hl7:value/hl7:low
Item: (kezo-QRYeffectiveTimeInterval)
-->

   <rule context="/hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']/hl7:effectiveTimeInterval/hl7:value/hl7:low"
         id="tmp-r-b6a1a5dd-721b-4890-bf1f-a716d16a0931">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9034-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-QRYeffectiveTimeInterval): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9034
Context: /hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']/hl7:effectiveTimeInterval/hl7:value/hl7:high
Item: (kezo-QRYeffectiveTimeInterval)
-->

   <rule context="/hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']/hl7:effectiveTimeInterval/hl7:value/hl7:high"
         id="tmp-r-305d65bd-c578-4053-b42a-b59d983a5880">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9034-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-QRYeffectiveTimeInterval): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9035
Context: /hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']/hl7:patientId
Item: (kezo-QRYpatientId)
-->

   <rule context="/hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']/hl7:patientId"
         id="tmp-r-437a346f-e0a3-4244-8219-94efc731b0f5">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9035-2015-06-01T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:value[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(kezo-QRYpatientId): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9035-2015-06-01T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(kezo-QRYpatientId): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9035
Context: /hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']
Item: (kezo-QRYpatientId)
-->

   <rule context="/hl7:REPC_IN990130NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.19']/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-r-093dce77-fba3-4eb5-bb96-3c2d747c8093">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9035-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-QRYpatientId): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9035-2015-06-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.3')">(kezo-QRYpatientId): de waarde van @root MOET '2.16.840.1.113883.2.4.6.3' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9035-2015-06-01T000000.html"
              test="@extension">(kezo-QRYpatientId): attribute @extension MOET aanwezig zijn.</assert>
   </rule>
</pattern>
