<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Name: VZVZ Opvragen Contactmomenten
Description: Opvragen Contactmomenten 
                 Verdere informatie 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000">
   <title>VZVZ Opvragen Contactmomenten</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /
Item: (opvragenContactmomenten)
-->

   <rule context="/" id="tmp-r-21467e81-621f-40ee-b618-ede9a91233d0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="count(hl7:PRPA_IN900300NL)&gt;=1 ">(opvragenContactmomenten): element hl7:PRPA_IN900300NL is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="count(hl7:PRPA_IN900300NL)&lt;=1">(opvragenContactmomenten): element hl7:PRPA_IN900300NL komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL"
         id="tmp-r-3fe4b49d-0941-4f11-917c-a250ac691d84">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="count(hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']])&gt;=1 and not(hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/@nullFlavor)">(opvragenContactmomenten): element hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="count(hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']])&lt;=1">(opvragenContactmomenten): element hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9022
Context: /hl7:PRPA_IN900300NL/hl7:attentionLine
Item: (AttentionLineContextCode)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:attentionLine"
         id="tmp-r-d80beda5-4d78-4383-a456-9a1ae40c7d82">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="count(hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor])&gt;=1 ">(AttentionLineContextCode): element hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="count(hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor])&lt;=1">(AttentionLineContextCode): element hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(AttentionLineContextCode): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(AttentionLineContextCode): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9022
Context: /hl7:PRPA_IN900300NL/hl7:attentionLine/hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor]
Item: (AttentionLineContextCode)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:attentionLine/hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor]"
         id="tmp-r-743854c5-e470-4664-92a4-460fbbdb4472">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AttentionLineContextCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="@nullFlavor or not(@code) or (@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1')">(AttentionLineContextCode): de elementwaarde MOET een zijn van 'code 'CONTEXT' codeSystem '2.16.840.1.113883.2.4.15.1''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="text()='ContextCode'">(AttentionLineContextCode): de element content van hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor] MOET ''ContextCode'' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9022
Context: /hl7:PRPA_IN900300NL/hl7:attentionLine/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (AttentionLineContextCode)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:attentionLine/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-d2af005e-7ff4-4fc1-94b2-085273ede4e4">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AttentionLineContextCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(AttentionLineContextCode): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.66.11.116 AORTA Context Code (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(AttentionLineContextCode): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.66.11.116 AORTA Context Code (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]"
         id="tmp-r-5b5d1755-00d5-477a-9ed5-79b82220ce0c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="string(@moodCode)=('EVN')">(opvragenContactmomenten): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="count(hl7:overseer)&gt;=1 ">(opvragenContactmomenten): element hl7:overseer is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="count(hl7:overseer)&lt;=1">(opvragenContactmomenten): element hl7:overseer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="count(hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9'])&gt;=1 and not(hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/@nullFlavor)">(opvragenContactmomenten): element hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="count(hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9'])&lt;=1">(opvragenContactmomenten): element hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer"
         id="tmp-r-0f6b38ad-f73d-4ebb-99c7-ef93c98dd613">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="string(@typeCode)=('RESP') or not(@typeCode)">(ControlActOverseerPerson): de waarde van @typeCode MOET 'RESP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(ControlActOverseerPerson): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(ControlActOverseerPerson): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity"
         id="tmp-r-450fa7dc-cbb2-4e08-b7af-f472196f18c9">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.1']/@nullFlavor)">(ControlActOverseerPerson): element hl7:id[@root='2.16.528.1.1007.3.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&lt;=1">(ControlActOverseerPerson): element hl7:id[@root='2.16.528.1.1007.3.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(ControlActOverseerPerson): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:code)&lt;=1">(ControlActOverseerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedPrincipalChoiceList)&gt;=1 and not(hl7:assignedPrincipalChoiceList/@nullFlavor)">(ControlActOverseerPerson): element hl7:assignedPrincipalChoiceList is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedPrincipalChoiceList)&lt;=1">(ControlActOverseerPerson): element hl7:assignedPrincipalChoiceList komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:Organization)&gt;=1 and not(hl7:Organization/@nullFlavor)">(ControlActOverseerPerson): element hl7:Organization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:Organization)&lt;=1">(ControlActOverseerPerson): element hl7:Organization komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-r-5c514e14-28db-4d11-b84a-bcc4d59f03c3">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="string(@root)=('2.16.528.1.1007.3.1')">(ControlActOverseerPerson): de waarde van @root MOET '2.16.528.1.1007.3.1' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:code
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:code"
         id="tmp-r-9d394cc2-2dd7-4cbd-b189-e7035b314bf5">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="@codeSystem='2.16.840.1.113883.2.4.15.111' and not(@code='00.000')">(ControlActOverseerPerson): Control Act: / moet een UZI-register rolcode bevatten en deze mag niet 00.000 zijn</assert>
      <assert role="error"
              test="@codeSystem='2.16.840.1.113883.2.4.15.111' and not(@code='00.000')">(ControlActOverseerPerson): Control Act: / moet een UZI-register rolcode bevatten en deze mag niet 00.000 zijn</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList"
         id="tmp-r-e39d1237-b072-4816-ab90-b4058a4c961f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(ControlActOverseerPerson): element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(ControlActOverseerPerson): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList/hl7:assignedPerson
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList/hl7:assignedPerson"
         id="tmp-r-6f25c934-7dca-43a1-a4ce-a5943b376dfc">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActOverseerPerson): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:name)&lt;=1">(ControlActOverseerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name"
         id="tmp-r-b705c761-b5dd-4299-a725-d723593efc89">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:Organization
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:Organization"
         id="tmp-r-46bfcee3-9996-47a6-b801-3352d98ceba7">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(ControlActOverseerPerson): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:id)&lt;=1">(ControlActOverseerPerson): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:code)&lt;=1">(ControlActOverseerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActOverseerPerson): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:name)&lt;=1">(ControlActOverseerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">(ControlActOverseerPerson): element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:addr)&lt;=1">(ControlActOverseerPerson): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:id
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:id"
         id="tmp-r-ecada7c6-9a25-4e42-85f2-7c6deb8cbd29">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="@root='2.16.528.1.1007.3.3' and @extension">(ControlActOverseerPerson): Control Act: / moet een URA bevatten</assert>
      <assert role="error" test="@root='2.16.528.1.1007.3.3' and @extension">(ControlActOverseerPerson): Control Act: / moet een URA bevatten</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:code
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:code"
         id="tmp-r-6cce0d05-da80-455e-ad1b-011fdf77c7af">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">(ControlActOverseerPerson): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.2.4.15.1060''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:name
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:name"
         id="tmp-r-cb603fa3-29a7-4d4e-ab9f-b28d97feac8a">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ON" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:addr
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:addr"
         id="tmp-r-c52789d5-a0eb-4743-bc2a-08e9d4da9a55">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="hl7:city">(ControlActOverseerPerson): Control Act: / moet tenminste de vestigingsplaats bevatten</assert>
      <assert role="error" test="hl7:city">(ControlActOverseerPerson): Control Act: / moet tenminste de vestigingsplaats bevatten</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']"
         id="tmp-r-29dac133-b976-488e-856e-43d9f42653dd">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9'])&gt;=1 ">(opvragenContactmomenten): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9'])&lt;=1">(opvragenContactmomenten): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="count(hl7:queryId)&gt;=1 and not(hl7:queryId/@nullFlavor)">(opvragenContactmomenten): element hl7:queryId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="count(hl7:queryId)&lt;=1">(opvragenContactmomenten): element hl7:queryId komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="count(hl7:statusCode[@code='executing'])&gt;=1 and not(hl7:statusCode[@code='executing']/@nullFlavor)">(opvragenContactmomenten): element hl7:statusCode[@code='executing'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="count(hl7:statusCode[@code='executing'])&lt;=1">(opvragenContactmomenten): element hl7:statusCode[@code='executing'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="count(hl7:responseModalityCode[@code='R'])&gt;=1 and not(hl7:responseModalityCode[@code='R']/@nullFlavor)">(opvragenContactmomenten): element hl7:responseModalityCode[@code='R'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="count(hl7:responseModalityCode[@code='R'])&lt;=1">(opvragenContactmomenten): element hl7:responseModalityCode[@code='R'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="count(hl7:responsePriorityCode[@code='I'])&gt;=1 and not(hl7:responsePriorityCode[@code='I']/@nullFlavor)">(opvragenContactmomenten): element hl7:responsePriorityCode[@code='I'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="count(hl7:responsePriorityCode[@code='I'])&lt;=1">(opvragenContactmomenten): element hl7:responsePriorityCode[@code='I'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="count(hl7:executionAndDeliveryTime)&gt;=1 and not(hl7:executionAndDeliveryTime/@nullFlavor)">(opvragenContactmomenten): element hl7:executionAndDeliveryTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="count(hl7:executionAndDeliveryTime)&lt;=1">(opvragenContactmomenten): element hl7:executionAndDeliveryTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="count(hl7:encounterTimeFrame)&lt;=1">(opvragenContactmomenten): element hl7:encounterTimeFrame komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="count(hl7:patientId)&gt;=1 and not(hl7:patientId/@nullFlavor)">(opvragenContactmomenten): element hl7:patientId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="count(hl7:patientId)&lt;=1">(opvragenContactmomenten): element hl7:patientId komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="count(hl7:problemCode)&lt;=1">(opvragenContactmomenten): element hl7:problemCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="count(hl7:typeOfEncounter)&lt;=1">(opvragenContactmomenten): element hl7:typeOfEncounter komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']"
         id="tmp-r-4c41de2c-d339-4640-86c6-ca8d388b0c57">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.66.10.9')">(opvragenContactmomenten): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.66.10.9' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:queryId
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:queryId"
         id="tmp-r-50af3241-eef5-4e80-86e2-4723d8afa90f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:statusCode[@code='executing']
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:statusCode[@code='executing']"
         id="tmp-r-44b103d0-72f5-43f8-88da-71e824ddc5f6">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="@nullFlavor or (@code='executing')">(opvragenContactmomenten): de elementwaarde MOET een zijn van 'code 'executing''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:responseModalityCode[@code='R']
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:responseModalityCode[@code='R']"
         id="tmp-r-2aacd9af-bdf3-415f-ac87-3d45d18f2c07">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="@nullFlavor or (@code='R')">(opvragenContactmomenten): de elementwaarde MOET een zijn van 'code 'R''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:responsePriorityCode[@code='I']
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:responsePriorityCode[@code='I']"
         id="tmp-r-a95e1ff7-e9d7-4cb6-8871-4da8e578e5d8">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="@nullFlavor or (@code='I')">(opvragenContactmomenten): de elementwaarde MOET een zijn van 'code 'I''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:executionAndDeliveryTime
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:executionAndDeliveryTime"
         id="tmp-r-af550b26-2bf3-457d-a321-a4f711a690a5">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:encounterTimeFrame
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:encounterTimeFrame"
         id="tmp-r-ac758aee-cb3f-4788-aeae-60e28bbe0bd6">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="count(hl7:value)&gt;=1 ">(opvragenContactmomenten): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="count(hl7:value)&lt;=1">(opvragenContactmomenten): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:encounterTimeFrame/hl7:value
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:encounterTimeFrame/hl7:value"
         id="tmp-r-f63033bb-7883-4d4c-86a6-547467667f61">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="not(hl7:low) or string-length(hl7:low/@value)&gt;=12">(opvragenContactmomenten): Onder- en bovengrens (low, high) is tot op de minuut te specificeren</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="not(hl7:high) or string-length(hl7:high/@value)&gt;=12">(opvragenContactmomenten): Onder- en bovengrens (low, high) is tot op de minuut te specificeren</assert>
      <assert role="error" test="not(hl7:low) or string-length(hl7:low/@value)&gt;=12">(opvragenContactmomenten): Onder- en bovengrens (low, high) is tot op de minuut te specificeren</assert>
      <assert role="error" test="not(hl7:high) or string-length(hl7:high/@value)&gt;=12">(opvragenContactmomenten): Onder- en bovengrens (low, high) is tot op de minuut te specificeren</assert>
      <let name="elmcount" value="count(hl7:low|hl7:high)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="$elmcount&gt;=1">(opvragenContactmomenten): keuze (hl7:low of hl7:high) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="$elmcount&lt;=2">(opvragenContactmomenten): keuze (hl7:low of hl7:high) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="count(hl7:low)&lt;=1">(opvragenContactmomenten): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="count(hl7:high)&lt;=1">(opvragenContactmomenten): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:encounterTimeFrame/hl7:value/hl7:low
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:encounterTimeFrame/hl7:value/hl7:low"
         id="tmp-r-0bac0b6d-ce96-496e-b19f-2469a597e0ec">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:encounterTimeFrame/hl7:value/hl7:high
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:encounterTimeFrame/hl7:value/hl7:high"
         id="tmp-r-9d5043de-10f1-40eb-bd52-9f8d836b4580">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9035
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:patientId
Item: (kezo-QRYpatientId)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:patientId"
         id="tmp-r-a774266d-3bd9-4dd9-8eec-a421557924ea">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9035-2015-06-01T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:value[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(kezo-QRYpatientId): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9035-2015-06-01T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(kezo-QRYpatientId): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9035
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']
Item: (kezo-QRYpatientId)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-r-17611571-7b16-4362-bc5d-509d209f3f51">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9035-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-QRYpatientId): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9035-2015-06-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.3')">(kezo-QRYpatientId): de waarde van @root MOET '2.16.840.1.113883.2.4.6.3' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9035-2015-06-01T000000.html"
              test="@extension">(kezo-QRYpatientId): attribute @extension MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9040
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:problemCode
Item: (kezo-QRYproblemCode)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:problemCode"
         id="tmp-r-a6f115d5-0356-42c5-8339-c9027a878468">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9040-2015-11-13T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(kezo-QRYproblemCode): element hl7:value is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9040
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:problemCode/hl7:value
Item: (kezo-QRYproblemCode)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:problemCode/hl7:value"
         id="tmp-r-3806d6bd-fd20-4b50-996a-5bb4c4a31d9c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9040-2015-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-QRYproblemCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:typeOfEncounter
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:typeOfEncounter"
         id="tmp-r-e4ca4fd8-4ba5-4483-ab83-80842951c4ee">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(opvragenContactmomenten): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(opvragenContactmomenten): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:typeOfEncounter/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:typeOfEncounter/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-bc6624fe-fc24-477e-85f0-f3e9121f24a7">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(opvragenContactmomenten): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.103.11.3 NHG tabel 14v3 - ContactType (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2015-11-13T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(opvragenContactmomenten): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.103.11.3 NHG tabel 14v3 - ContactType (DYNAMISCH).</assert>
   </rule>
</pattern>
