@echo off

if (%1)==() ( 
    echo.
    echo.Missing AORTA release label as the first argument, e.g. %0 'versie 6.11' or %0 2012
    echo.This label goes onto the front page like this 'Toelichting XML-distributie versie 6.11'...
    pause
    goto :DONE
) else (
    echo.Building HTML pages for 'Toelichting XML-distributie %1'...
    echo -----------------------
)

set schemaInfoFile=..\resolveIncludes\xmlschemainfo.xml
set visioInfoFile=visiomodelindex.xml
set indexHtml=..\..\index.html

cmd /c makeVisioIndex.bat

echo.
echo.Building %schemaInfoFile%...
echo.
cmd /c ..\resolveIncludes\buildXmlSchemaInfoForDir.bat

echo.
echo.Building %indexHtml%...
echo.
java -jar ../lib/saxon-9/saxon9.jar -s:index.xml -xsl:indexHtml.xsl -o:%indexHtml% aortaRelease="%1" schemaInfoFile=%schemaInfoFile% visioInfoFile=%visioInfoFile%

:DONE