@echo off
set inputDir=..\..\..
set outputFile=visiomodelindex.xml

if exist %outputFile% (
    del %outputFile%
)

echo ^<?xml version="1.0" encoding="UTF-8"?^> >>%outputFile%
echo ^<descriptions^> >>%outputFile%

echo Building %outputFile% from .\%inputDir% ...
FOR /R %inputDir% %%F IN (*.xml) DO (
    if exist %%~dF%%~pF%%~nF.vsd (
        echo ^<file relpath="%%F" name="%%~nF%%~xF"/^> >>%outputFile%
    )
)

:: If we're not in the trunk: look for more files in the trunk to avoid having to copy 
:: over all generic Visios for CMETs, wrappers and the like
if not exist "..\..\..\..\trunk" (
    echo   Done with this branch. Adding Visios from trunk...
    set inputDir2=..\..\..\..\..\trunk
    FOR /R %inputDir2% %%F IN (*.xml) DO (
        if exist %%~dF%%~pF%%~nF.vsd (
            echo ^<file relpath="%%F" name="%%~nF%%~xF"/^> >>%outputFile%
        )
    )
)

echo ^</descriptions^> >>%outputFile%