@echo off

:: -------------------------------------------
:: --  set defaults                      --
:: --                                       --
:: -------------------------------------------

:: These are used on the commandline
set currentDir=%~d0%~p0
set inputDir=%currentDir%..\..\schemas
set outputFile=%currentDir%xmlschemainfo.xml

:: These are used on the command line and must contain a forward slash in path
set jarDir=%currentDir%..\lib
set xslDir=%currentDir%
set CLASSPATH=%CLASSPATH%;%jarDir%\nictiz\nictiz.jar

:: -------------------------------------------
:: --  use input params instead of defaults --
:: --  if given                             --
:: -------------------------------------------

if not (%1)==() set inputDir=%1
if not (%2)==() set outputFile=%2
if not (%3)==() set jarDir=%3
if not (%4)==() set xslDir=%4

:: echo.Input directory                 = [%inputDir%]
:: echo.Output file                     = [%outputFile%]
:: echo.Java jar directory              = [%jarDir%]
:: echo.XSL directory                   = [%xslDir%]
:: echo.Class path                      = [%CLASSPATH%]
:: echo.-----------------------
:: echo.

:: -------------------------------------------
:: --  check input and output dirs          --
:: --                                       --
:: -------------------------------------------

if not exist "%inputDir%" echo.ERROR The input directory [%inputDir%] does not exist or is empty! Cannot proceed. & pause & exit /B
 
:: -------------------------------------------
:: --  generate output                      --
:: --                                       --
:: -------------------------------------------

java nl.nictiz.xml.util.AnalyzeSchemas "%inputDir%" "%outputFile%"