#!/bin/sh
export outputSchemaInfoFile=../resolveIncludes/xmlschemainfo.xml
export outputReportFile=report.xml
export outputReportFileHtml=report.html

echo "\nBuilding base xmlschemainfo.xml..."
echo ""
../resolveIncludes/buildXmlSchemaInfoForDir.sh

echo ""
java -jar ../lib/saxon-9/saxon9.jar -s:xmlFolderVerification.xsl -xsl:xmlFolderVerification.xsl -o:${outputReportFile} schemaInfoFile=${outputSchemaInfoFile}
echo ""
java -jar ../lib/saxon-9/saxon9.jar -s:${outputReportFile} -xsl:report.xsl -o:${outputReportFileHtml}

echo "Check results in ${outputReportFileHtml}"