package nl.nictiz.xml.util;

import java.io.File;
import java.io.FilenameFilter;

/*
 * Helper class that can get XML Schema files from a directory listing based on their .xsd extension
 */
abstract class XMLSchemaFilter implements FilenameFilter {
    public boolean accept(File dir, String name) {
        return (name.endsWith(".xsd"));
    }
}
